// axios
import axios from '@/common/axios.config'
import { baseApi } from '@/config'

// 用户信息 post 方法
export function eduGet() {
  return axios.get('//beta.api.cocorobo.cn/api/getcookieuserid')
}
export function eduGetUserinfo(rk) {
  return axios.get(`//api.edu.cocorobo.cn/edu/admin/userinfo/userinfoById/${rk}`)
}

// 退出登录
export function loginOut(data) {
  return axios.post('//beta.api.cocorobo.cn/api/logout',data)
}

export function getUser(data) {
  return axios.get(`${baseApi}/selectUser`, data)
}
// 获取探究中心课程
export function selectAiExp(data) {
  return axios.get(`${baseApi}/selectAiExp`, data)
}

// 修改密码
export function iniPassword(data) {
  return axios.post(`${baseApi}iniPassword`, [data])
}
// 添加社区
export function addCommunity(data) {
  return axios.post(`${baseApi}addCommunity`, [data])
}

// 修改社区
export function updateCommunity(data) {
  return axios.post(`${baseApi}updateCommunity`, [data])
}

// 禁用启用社区
export function updateCyOP(data) {
  return axios.post(`${baseApi}updateCyOP`, [data])
}

// 删除社区
export function delCommunity(data) {
  return axios.post(`${baseApi}delCommunity`, [data])
}
// 更新社区人员
export function updateCommunityperson(data) {
  return axios.post(`${baseApi}updateCommunityperson`, [data])
}
// 更新社区人员
export function updateinst(data) {
  return axios.post(`${baseApi}updateinst`, [data])
}
// 查询组织高人员
export function getAddcyPersonlist(data) {
  return axios.get(`${baseApi}getAddcyPersonlist`, data)
}
// 查询社区
export function getcylist(data) {
  return axios.get(`${baseApi}getcylist`, data)
}
// 查询社区人员
export function getcypersonlist(data) {
  return axios.get(`${baseApi}getcypersonlist`, data)
}
// 后缀管理 查询学校
export function getAllSchoolSuffix(data) {
  return axios.get(`${baseApi}getAllSchoolSuffix`, data)
}

// 后缀管理 添加学校
export function addSuffxSchool(data) {
  return axios.post(`${baseApi}addSuffxSchool`, [data])
}

// 后缀管理 编辑学校
export function exitSuffxSchool(data) {
  return axios.post(`${baseApi}exitSuffxSchool`, [data])
}

// 后缀管理 删除学校
export function delSuffxSchool(data) {
  return axios.post(`${baseApi}delSuffxSchool`, [data])
}

export function addUser(data) {
  return axios.post(`${baseApi}/batchRegistrationUser`, [data])
}

export function addOp(data) {
  return axios.post(`${baseApi}/addCourseBehavior`, [data])
}


// // 登录
// export function login(data) {
//   return request({
//     url: api.Login,
//     method: 'post',
//     data
//   })
// }

// // 用户信息 post 方法
// export function getUserInfo(data) {
//   return request({
//     url: api.UserInfo,
//     method: 'post',
//     data,
//     hideloading: true
//   })
// }

// // 用户名称 get 方法
// export function getUserName(params) {
//   return request({
//     url: api.UserName,
//     method: 'get',
//     params,
//     hideloading: true
//   })
// }
